#define ORBITER_MODULE 
#include "orbitersdk.h"
#include "Windows.h"
 
HINSTANCE g_hDLL;
bool fMouseHidden = false;
 
DLLCLBK void InitModule (HINSTANCE hModule) 
{ 
    g_hDLL = hModule; 
    // perform global module initialisation here 
} 

DLLCLBK void ExitModule (HINSTANCE hModule) 
{ 
    // perform module cleanup here 
}

DLLCLBK void opcCloseRenderViewport( )
{
	// The render window is closing--if we've hidden the mouse, un-hide it
	if (fMouseHidden)
	{
		fMouseHidden = false;
		::ShowCursor(true);
	}
}

DLLCLBK void opcPreStep (double SimT, double SimDT, double mjd)
{
	static POINT ptLast = {0,0};
	POINT ptCurrent = {0,0};

	static DWORD dwLastMoveTime = ::GetTickCount();
	DWORD dwCurrentTime = ::GetTickCount();

	::GetCursorPos(&ptCurrent);
	bool fMoved = !(ptCurrent.x == ptLast.x && ptCurrent.y == ptLast.y);
	
	// The result returned by GetTickCount rolls over after 49.7 days
	if ( fMoved || dwCurrentTime < dwLastMoveTime)
	{
		dwLastMoveTime = dwCurrentTime;
	}

	if (fMouseHidden && fMoved)
	{
		fMouseHidden = false;
		::ShowCursor(true);
	}
	else if (!fMouseHidden && dwLastMoveTime < dwCurrentTime - 2000)
	{
		fMouseHidden = true;
		::ShowCursor(false);
	}

	ptLast = ptCurrent;
}